# H323CodecPluginGenericVideoCapability Class Reference

`#include <opalpluginmgr.h>`

Inheritance diagram for H323CodecPluginGenericVideoCapability:

[legend]
Collaboration diagram for H323CodecPluginGenericVideoCapability:
[legend]

## Public Member Functions

| H323CodecPluginGenericVideoCapability (const PluginCodec_Definition *codecDefn, const OpalMediaFormat &mediaFormat, const PluginCodec_H323GenericCodecData *data)
virtual PObject * | Clone () const
virtual PString | GetFormatName () const

## Constructor & Destructor Documentation

H323CodecPluginGenericVideoCapability::H323CodecPluginGenericVideoCapability | ( | const PluginCodec_Definition * | codecDefn,
|  | const OpalMediaFormat & | mediaFormat,
|  | const PluginCodec_H323GenericCodecData * | data |
| ) |  |  |

## Member Function Documentation

virtual PObject* H323CodecPluginGenericVideoCapability::Clone | ( |  | ) | const`[virtual]`

virtual PString H323CodecPluginGenericVideoCapability::GetFormatName | ( |  | ) | const`[virtual]`

Reimplemented from H323PluginCapabilityInfo.

The documentation for this class was generated from the following file:

- opalpluginmgr.h